#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFB,0x75,0x40,0xAD,0x79,0x8A,0xD6,0x94,0x81,0x21,0xAC,0xAC,
		0xF2,0xD8,0x7A,0x3F,0xEE,0xEA,0x89,0xB7,0x15,0x53,0x24,0x81,
		0xA7,0x55,0x77,0x29,0xA7,0xD8,0x6A,0x67,0x72,0x79,0x41,0x40,
		0x39,0xE7,0x95,0x65,0xEB,0xA0,0xE9,0x09,0x65,0x23,0x12,0x9F,
		0x7C,0xA5,0x12,0x67,0x60,0x74,0x74,0x39,0xCB,0x95,0x71,0x24,
		0x30,0x9E,0xB6,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
